package cn.com.tenlion.systembase.controller.route.linecase;

import ink.wgink.common.base.DefaultBaseController;
import ink.wgink.interfaces.consts.ISystemConstant;
import io.swagger.annotations.*;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.servlet.ModelAndView;

/**
 * @ClassName: LineCaseController
 * @Description: 涉及线、路案（事）件
 * @Author: CodeFactory
 * @Date: 2021-10-13 14:58:15
 * @Version: 3.0
 **/
@Api(tags = ISystemConstant.ROUTE_TAGS_PREFIX + "涉及线、路案（事）件路由")
@RestController
@RequestMapping(ISystemConstant.ROUTE_PREFIX + "/linecase")
public class LineCaseRouteController extends DefaultBaseController {

    @GetMapping("save")
    public ModelAndView save() {
        return new ModelAndView("linecase/save");
    }

    @GetMapping("update")
    public ModelAndView update() {
        return new ModelAndView("linecase/update");
    }

    @GetMapping("list")
    public ModelAndView list() {
        return new ModelAndView("linecase/list");
    }

    @GetMapping("list-view")
    public ModelAndView listView() {
        return new ModelAndView("linecase/list-view");
    }

}